---
title: "Retrieve all favorites"
url: "https://docs.signnow.com/docs/favorites/operations/get-v2-favorites"
type: "endpoint"
section: "favorites"
slug: "favorites/operations/get-v2-favorites"
method: "GET"
path: "/v2/favorites"
operation_id: "get-v2-favorites"
authorization: "bearer"
---

# Retrieve all favorites

`GET /v2/favorites`

This endpoint allows API users to get the list of documents and document groups marked as favorites.

## Authorization

bearer

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `page` | string | No | Default value by page = 1 |
| `per_page` | string | No | Number of documents per page. Default value = 15 |

## Responses

### 200

List of documents and document groups the user added to favorites.

**Example** (`Successful response`)

```json
{
  "data": [
    {
      "id": "1373e2d3f81ab9f598478c2fc87940483f00c05a",
      "entity_type": "document-group"
    },
    {
      "id": "65a2a09722dbe3200c2d244355a98c75bba72cc2",
      "entity_type": "document"
    }
  ],
  "meta": {
    "pagination": {
      "count": 2,
      "links": [],
      "total": 2,
      "per_page": 15,
      "total_pages": 1,
      "current_page": 1
    }
  }
}
```

### 400

* Request with incorrect or missing token.
* Request with incorrect query string.

**Example** (`Request with incorrect query string`)

```json
{
  "errors": [
    {
      "code": 13003004,
      "message": "Query parameter `page` must be a digit"
    },
    {
      "code": 13003005,
      "message": "Query parameter `page` must be more than 0"
    }
  ]
}
```

**Example** (`Request with Incorrect or missing token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/favorites" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/favorites/operations/get-v2-favorites*
